// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "AssetLoader.hpp"
#include "assert/assert.hpp"

using namespace Dawn;

AssetLoader::AssetLoader(const std::string name) : name(name) {
  assertTrue(name.size() > 0, "Asset::Asset: Name cannot be empty");
}

AssetLoader::~AssetLoader() {
  this->loaded = false;
}